/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * ----------------------------------------
 */
package fr.tlse.irap.spaceElement;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;

@XmlType
public class Instruments implements Serializable {

	private static final long serialVersionUID = 1L;

	private List<Camera> instruments;

	public Instruments() {
		this.instruments = new ArrayList<Camera>();
	}

	public Instruments(List<Camera> insts) {
		this.instruments = insts;
	}

	@XmlElement
	public List<Camera> getCameraList() {
		return instruments;
	}

	public void setInstruments(List<Camera> insts) {
		this.instruments = insts;
	}

}
